### Fix fastq format
#cat reads.left.fq | awk '{if (NR % 4 == 1) {split($1, arr, ":"); printf "%s_%s:%s:%s:%s:%s#0/%s (%s)\n", arr[1], arr[3], arr[4], arr[5], arr[6], arr[7], substr($2, 1, 1), $0} else if (NR % 4 == 3){print "+"} else {print $0} }' > reads.left1.fq

#cat reads.right.fq | awk '{if (NR % 4 == 1) {split($1, arr, ":"); printf "%s_%s:%s:%s:%s:%s#0/%s (%s)\n", arr[1], arr[3], arr[4], arr[5], arr[6], arr[7], substr($2, 1, 1), $0} else if (NR % 4 == 3){print "+"} else {print $0} }' > reads.right1.fq

#### Move olde files
#mkdir oldDir
#mv reads.left.fq reads.right.fq oldDir


#########
#### initiate assembly project
newAssembly -cdna testAssembl

#### sequence input
addRun -p -lib shortPE testAssembl \*.fq

#### assembly
runProject  -cpu 12 -het -siod -qo -m testAssembl
  ### -siod for using efficient memory 
  ## -large for large genome over 100Mb
   #  or use -cdna for cDNA/Transcriptome assembly
  ## -het for diploid genome



