#$ -S /bin/bash
#$ -q longP
#$ -N NewbTEST
#$ -M jun.inoue@oist.jp
#$ -m e
#$ -cwd 
#$ -pe openmpi 12
#$ -l h_vmem=40G

#########
#### initiate assembly project
newAssembly -cdna testAssembl

#### sequence input
addRun -p -lib shortPE testAssembl \*.fq 

#### assembly
runProject  -cpu 12 -het -siod -qo -m testAssembl
  ### -siod for using efficient memory 
  ## -large for large genome over 100Mb
  ## -het for diploid genome



